% pTeX OS/2 texmf.cnf -- runtime path configuration file for kpathsea.
% 
% (If you change or delete `original' on the previous line, the
% distribution won't install its version over yours.)
% 
% What follows is a super-summary of what this .cnf file can
% contain. Please read the Kpathsea manual for more information.
% 
% texmf.cnf is generated from texmf.cnf.in, by replacing @var@ with the
% value of the Make variable `var', via a sed file texmf.sed, generated
% (once) by kpathsea/Makefile (itself generated from
% kpathsea/Makefile.in by configure).
% 
% Any identifier (sticking to A-Za-z_ for names is safest) can be assigned.
% The `=' (and surrounding spaces) is optional.
% No space, %, or @ in variable values, for the sake of autogeneration.
% An environment variable foo overrides a definition of foo here.
% $foo (or ${foo}) in a value expands to the envvar or cnf value of foo.
% 
% All definitions are read before anything is expanded, so you can use
% variables before they are defined.
% 
% If a variable is qualified with `.<program>', it is ignored unless the
% current executable (last component of argv[0]) is named <program>.
% 
% Which file formats use which paths for searches is described in the
% various programs' and the kpathsea documentation.
% 
% // means to search subdirectories (recursively).
% A leading !! means to look only in the ls-R db, never on the disk.
% A leading/trailing/doubled : in the paths will be expanded into the
%   compile-time default. Probably not what you want.


% Where the wild files are. You can set an environment variable to
% override this if you're testing a new TeX tree, without changing
% anything else.
% 
% If you have multiple trees, you can use shell brace notation, for example:
% TEXMF = {/usr/local/mytex,/usr/local/othertex}
% Also set TEXMFDBS to /usr/local/mytex:/usr/local/othertex,
%  and set TEXMFMAIN to whichever is the main tree (with ./web2c, etc.),
%  and set TEXMFLS_R to the tree where you want generated files to go
% 
%TEXMF = /usr/local/share/texmf
IFS=;
TEXMF = j:/texmf
TEXMFDBS= $TEXMF;
TEXMFMAIN = $TEXMF

%  ???????????????????????????????? okay '96-11-22
%% New 7.2 variables by jsawa 98/3/23
%% The mktex* scripts rely on KPSE_DOT. Do not set it in the environment.
% ?? KPSE_DOT = .

% Fontinst needs to read afm files.
TEXINPUTS.fontinst = .;i:/gnuen/lib/afm;i:/gs5.10/fonts;g:/psfonts;$TEXMF/fonts/afm//;
SYSTEMMF = $TEXMF
% Metafont, MetaPost inputs.
%% MFINPUTS = .;$TEXMF/metafont//;{$TEXMF/fonts;$VARTEXFONTS}//source//
MPINPUTS = .;$TEXMF/metapost//
MFINPUTS = .;$TEXMF/metafont//;$TEXMF/fonts//src//;$TEXMF/fonts//ready-mf;
% MFT style files.
MFTINPUTS = .;$TEXMF/mft//
% TrueType outline fonts.
TTFONTS = .;c:/psfonts/;c:/fonts/tt/;$TEXMF/fonts/type1//;f:/win/system/;j:/OS2/MDOS/WINJOS2/SYSTEM/;
TEXDOCS = .;$TEXMF/doc//
%% ??TEXSOURCES = .;$TEXMF/source//
% Omega-related fonts and other files.  The odd construction for OFMFONTS
% makes it behave in the face of a definition of TFMFONTS.  Unfortunately
% no default substitution would take place for TFMFONTS, so an explicit
% path is retained.
OFMFONTS = .;{$TEXMF/fonts;$VARTEXFONTS}//{ofm;tfm}//;$TFMFONTS
OPLFONTS = .;{$TEXMF/fonts;$VARTEXFONTS}//opl//
OVFFONTS = .;{$TEXMF/fonts;$VARTEXFONTS}//ovf//
OVPFONTS = .;{$TEXMF/fonts;$VARTEXFONTS}//ovp//
OTPINPUTS = .;$TEXMF/omega/otp//
OCPINPUTS = .;$TEXMF/omega/ocp//

%% end owf New 7.2 variables by jsawa 98/3/23

% TeX input files -- i.e., anything to be found by \input or \openin,
% including .sty, .eps, etc.  Things are confused by the many variants
% of LaTeX, which all have the same filenames.  The current
% recommendation is to make `latex' be latex2e, and if you also want to
% support latex 2.09, call it latex209. If you do the reverse, the
% definitions below will need adjusting.
% 

latex209_inputs = .;$TEXMF/tex/latex209//;$TEXMF/tex//
latex2e_inputs = .;$TEXMF/tex/latex2e//;$TEXMF/tex//
platex2e_inputs = .;$TEXMF/tex/platex2e//;$TEXMF/tex/latex2e//;$TEXMF/tex//
platex209_inputs = .;$TEXMF/tex/platex209//;$TEXMF/tex/latex209//;$TEXMF/tex//platex2e_inputs = .;$TEXMF/tex/platex2e//;$TEXMF/tex/latex2e//;$TEXMF/tex//
% Omega.
TEXINPUTS.lambda = .;$TEXMF/tex/{omega;latex2e;latex209;plain;}//
TEXINPUTS.omega = .;$TEXMF/tex/{omega;plain;}//
% etex
TEXINPUTS.elatex   = .;$TEXMF/tex/{etex;latex2e;latex209;plain;}//
TEXINPUTS.etex     = .;$TEXMF/tex/{etex;plain;}//
% PDFTeX.  This form of the input paths is borrowed from teTeX.  A certain
% variant of TDS is assumed here, unaffected by the build variables.
TEXINPUTS.pdftexinfo =.;$TEXMF/pdftex//;$TEXMF/tex/plain//;
TEXINPUTS.pdflatex = .;$TEXMF/pdftex//;$TEXMF/tex/{latex2e;latex209;plain;}//
TEXINPUTS.pdftex   = .;$TEXMF/pdftex//;$TEXMF/tex/plain//;


TEXINPUTS.texinfo = .;$TEXMF/tex/plain//;
TEXINPUTS.ptexinfo = .;$TEXMF/ptex;$TEXMF/tex/plain//;
TEXINPUTS.eplain  = .;$TEXMF/tex/plain//;
TEXINPUTS.tex = .;$TEXMF/tex/plain//;
TEXINPUTS.ptex = .;$TEXMF/tex/ptex;$TEXMF/tex/plain//;
TEXINPUTS.latex209 = $latex209_inputs
TEXINPUTS.latex2e = $latex2e_inputs
TEXINPUTS.latex = $latex2e_inputs
TEXINPUTS.platex209 = $platex209_inputs
TEXINPUTS.platex2e = $platex2e_inputs
TEXINPUTS.platex = $platex2e_inputs
TEXINPUTS.jplatex = $platex2e_inputs
% Earlier entries override later ones, so put this last.
TEXINPUTS = .;$TEXMF//

% Predigested formats and string pools for initex/inimf.
TEXFORMATS = .;$TEXMF/web2c;$TEXMF/ini
MFBASES = .;$TEXMF/web2c
TEXPOOL = .;$TEXMF/web2c
MFPOOL = .;$TEXMF/web2c
PDFTEXPOOL = .;$TEXMF/web2c
PDFLATEXPOOL = .;$TEXMF/web2c
MPPOOL = .;$TEXMF/web2c
MPMEMS = .;$TEXMF/web2c


% For xdvi to find mime.types and .mailcap, if they do not exist in
% $HOME.  These are single directories, not paths.
% (But the default mime.types, at least, may well suffice.)
MIMELIBDIR = $prefix/etc
MAILCAPLIBDIR = $prefix/etc

% The $MAKETEX_MODE below means the drivers will not use a cx font when
% the mode is ricoh.  If no mode is explicitly specified, kpse_prog_init
% sets MAKETEX_MODE to /, so all subdirectories are searched.  See the manual.

% xdvi needs to find bitmaps for PostScript fonts, which can be
% generated by standalone programs gsftopk and ps2pk (ps2mf needs no
% special treatment). See xdvik/INSTALL for more info.
PKFONTS.xdvi = .;$TEXMF/fonts/pk//;$TEXMF/fonts/ec/360/;$TEXMF/fonts/public//pk//;
%PKFONTS.xdvi = .;$pkdir/$MAKETEX_MODE;$pkdir/gsftopk;$pkdir/ps2pk
% Again, the standard definition must come after the program-specific one.
% Don't use $pkdir since we can't do general variable expansion making paths.h.
PKFONTS = .;$TEXMF/fonts/pk//;$TEXMF/fonts/ec/360//;$TEXMF/fonts/public//pk//;
% I removed $MAKETEXPK_MODE 1997/6/7

% Similarly for the GF format, which only remains in existence because
% Metafont outputs it (and MF isn't going to change).
GFFONTS = .;$TEXMF/fonts//gf//;

% Used to find texfonts.map; also a backup for PKFONTS and GFFONTS,
% but normally that is irrelevant, so don't bother with all subdirectories.
GLYPHFONTS = .;$TEXMF/fonts

% BibTeX bibliographies and style files.
BIBINPUTS = .;$TEXMF/bibtex/bib//;$TEXMF/bibtex/jbib/bib//
BSTINPUTS = .;$TEXMF/bibtex/bst//;$TEXMF/bibtex/jbib/bst//;$TEXMF/tex/bibtex-style;

% Enable this (or set the environment variable) if you want kpathsea to
% log names and times for all files found.
TEXMFLOG = $TEXMF/kpathsea.log

% This definition isn't used from this .cnf file itself (that would be
% paradoxical), but the compile-time default in paths.h is built from it.
TEXMFCNF = .;$TEXMF/web2c

% PostScript AFM metric files.
AFMFONTS = .;i:/gnuen/lib/afm;i:/gs5.10/fonts;g:/psfonts;$TEXMF/fonts/afm//;g:/emx/share/t1lib-0.8/afm;

% MENDEX
INDEXSTYLES.mendex = .;$TEXMF/makeindex//
INDEXDICTS.mendex = .;$TEXMF/makeindex//


% MakeTeXPK
MAKETEXPK_MODE_118 = bitgraph
MAKETEXPK_MODE_360 = bjtenex
MAKETEX_PKDIR  = $TEXMF/fonts/pk
MAKETEX_TFMDIR = $TEXMF/fonts/tfm
MAKETEXTEX = 0
MAKETEXPK = 1
MAKETEXMF = 0
MAKETEXTFM = 0

% For texfonts.map and included map files used by MakeTeXPK.
% See ftp;//ftp.tug.org/tex/fontname.tar.gz.

TEXFONTMAPS = .;$TEXMF/fontname;$TEXMF/pdftex;$TEXMF/dvips
%% ;$TEXMF/emtex/data/dvips

% PostScript headers, prologues (.pro), encodings (.enc) and fonts.
TEXPSHEADERS = .;$TEXMF/dvips//;$TEXMF/pdftex;$TEXMF/emtex/data/dvips//;$TEXMF/fonts//type1//;i:/gs5.10/fonts;c:/psfonts;h:/acrobat3/reados2/fonts;

% PostScript Type 1 outline fonts.
T1FONTS = .;i:/gs5.10/fonts;i:/gs5.10/freefont;c:/psfonts;$TEXMF/fonts/type1;c:/PSFONTS;h:/acrobat3/reados2/fonts


% Dvips' config.* files (this name should not start with `TEX'!).
TEXCONFIG = .;$TEXMF/dvips//
% Device-independent font metric files.
VFFONTS.dvips = .;$TEXMF/fonts/vf//;
VFFONTS = .;$TEXMF/fonts/vf//;
TFMFONTS = .;$TEXMF/fonts/tfm//;$TEXMF/fonts/ec//tfm;$TEXMF/fonts/public//tfm;
TFMFONTS.ttf2pk = .;$TEXMF/fonts/tfm//;$TEXMF/fonts/ec//tfm;$TEXMF/fonts/public//tfm;

% Enable the MakeTeX... scripts by default?  These must be set to 0 or 1.
% Particular programs can and do override these settings, for example
% dvips's -M option.  Your first chance to specify whether the scripts
% are invoked by default is at configure time.
% 
% These values are ignored if the script names are changed; e.g., if you
% set DVIPSMAKEPK to `foo', what counts is the value of the environment
% variable/config value `FOO', not the `MAKETEXPK' value.
% 
% MAKETEXTEX = 0
% MAKETEXPK = 0
% MAKETEXMF = 0
% MAKETEXTFM = 0

% What MetaPost runs to make MPX files.  This is passed an option -troff
% if MP is in troff mode.  Set to `0' to disable this feature.
MPXCOMMAND = makempx


%  Part 3: Array and other sizes for TeX (and Metafont and MetaPost).
% 
% If you want to change some of these sizes only for a certain TeX
% variant, the usual dot notation works, e.g.,
% main_memory.hugetex = 20000000
% 
% If a change here appears to be ignored, try redumping the format file.

% Memory. Must be less than 8,000,000 total.
% 
% main_memory is relevant only to initex, extra_mem_* only to non-ini.
% Thus, have to redump the .fmt file after changing main_memory; to add
% to existing fmt files, increase extra_mem_*.  (To get an idea of how
% much, try \tracingstats=2 in your TeX source file;
% web2c/tests/memtest.tex might also be interesting.)
% 
% To increase space for boxes (as might be needed by, e.g., PiCTeX),
% increase extra_mem_bot.
% 
% For some xy-pic samples, you may need as much as 700000 words of memory.
% For the vast majority of documents, 60000 or less will do.
% 
main_memory = 263000 % words of inimemory available; also applies to inimf&mp
extra_mem_top = 0    % extra high memory for chars, tokens, etc.
extra_mem_bot = 0    % extra low memory for boxes, glue, breakpoints, etc.

% Words of font info for TeX (total size of all TFM files, approximately). 
font_mem_size = 100000

% Total number of fonts. Must be >= 50 and <= 2000 (without tex.ch changes).
font_max = 1000

% Extra space for the hash table of control sequences (which allows 10K
% names as distributed).
hash_extra = 0

% Max number of characters in all strings, including all error messages,
% help texts, font names, control sequences.  These values apply to TeX and MP.
pool_size = 250000
% Minimum pool space after TeX/MP's own strings; must be at least
% 25000 less than pool_size, but doesn't need to be nearly that large.
string_vacancies = 75000
max_strings = 45000		% max number of strings
pool_free = 15000		% min pool space left after loading .fmt

% Hyphenation trie. As distributed, the maximum is 65535; this should
% work unless `unsigned short' is not supported or is smaller than 16
% bits.  This value should suffice for UK English, US English, French,
% and German (for example).  To increase, you must change
% `ssup_trie_opcode' and `ssup_trie_size' in tex.ch (and rebuild TeX);
% the trie will then consume four bytes per entry, instead of two.
% 
% US English, German, and Portuguese: 30000.
% German: 14000.
% US English: 10000.
% 
trie_size = 64000

hyph_size = 1000        % number of hyphenation exceptions, >610 and <32767.
buf_size = 10000		% max length of input lines or control sequence names
nest_size = 100		% simultaneous semantic levels (e.g., groups)
max_in_open = 128	% simultaneous input files and error insertions
param_size = 500	% simultaneous macro parameters
save_size = 4000	% for saving values outside current group
stack_size = 300	% simultaneous input sources

% These work best if they are the same as the I/O buffer size, but it
% doesn't matter much.  Must be a multiple of 8.
dvi_buf_size = 16384 % TeX
gf_buf_size = 16384  % MF

% It's probably inadvisable to change these. At any rate, we must have:
% 45 < error_line      < 255;
% 30 < half_error_line < error_line - 15;
%      max_print_line  < 60 ;
% These apply to Metafont and MetaPost as well.
error_line = 70
half_error_line = 50
max_print_line = 79


% These are Omega-specific.
ocp_buf_size = 20000	% character buffers for ocp filters.
ocp_stack_size = 10000	% stacks for ocp computations.
ocp_list_size = 1000	% control for multiple ocps.

